## GtkPlotPolar GtkPlotPolar |

## Functions

GtkWidget * | gtk_plot_polar_new ()
GtkWidget * | gtk_plot_polar_new_with_size ()
void | gtk_plot_polar_construct ()
void | gtk_plot_polar_construct_with_size ()
void | gtk_plot_polar_rotate ()
gdouble | gtk_plot_polar_get_angle ()

## Properties

gdouble | rotation | Read / Write

## Types and Values

struct | GtkPlotPolar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkPlot
                            ╰── GtkPlotPolar

## Implemented Interfaces

GtkPlotPolar implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: Need long description.

## Functions

### gtk_plot_polar_new ()

    GtkWidget *
    gtk_plot_polar_new (GdkDrawable *drawable);

### gtk_plot_polar_new_with_size ()

    GtkWidget *
    gtk_plot_polar_new_with_size (GdkDrawable *drawable,
                                  gdouble width,
                                  gdouble height);

### gtk_plot_polar_construct ()

    void
    gtk_plot_polar_construct (GtkPlotPolar *plot,
                              GdkDrawable *drawable);

#### Parameters

plot | a GtkPlotPolar widget. |

### gtk_plot_polar_construct_with_size ()

    void
    gtk_plot_polar_construct_with_size (GtkPlotPolar *plot,
                                        GdkDrawable *drawable,
                                        gdouble width,
                                        gdouble height);

#### Parameters

plot | a GtkPlotPolar widget. |

### gtk_plot_polar_rotate ()

    void
    gtk_plot_polar_rotate (GtkPlotPolar *plot,
                           gdouble angle);

#### Parameters

plot | a GtkPlotPolar widget. |

### gtk_plot_polar_get_angle ()

    gdouble
    gtk_plot_polar_get_angle (GtkPlotPolar *plot);

#### Parameters

plot | a GtkPlotPolar widget. |

## Types and Values

### struct GtkPlotPolar

    struct GtkPlotPolar;

The GtkPlotPolar struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“rotation”` property

      “rotation”                 gdouble

Rotation Angle.

Flags: Read / Write

Default value: 0